org.python.core

## Interface PyBuiltinCallable.Info

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    PyBuiltinCallable.DefaultInfo, PyClassMethodDescr, PyMethodDescr
  Enclosing class:
    PyBuiltinCallable

      public static interface PyBuiltinCallable.Info
      extends java.io.Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxargs()`
    `int` | `getMinargs()`
    `java.lang.String` | `getName()`
    `PyException` | `unexpectedCall(int nargs, boolean keywords)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getMaxargs

          int getMaxargs()

    - #### getMinargs

          int getMinargs()

    - #### unexpectedCall

          PyException unexpectedCall(int nargs,
                                     boolean keywords)

Jython homepage